Вопрос: Почему «Новая версия не найдена» при переходе от LTS к следующей?


Я следую инструкции по обновлению на веб-сайте Ubuntu, но при запуске инструмента обновления я получаю этот ответ:

Checking for a new ubuntu release
No new release found

Я делаю что-то неправильно? Есть ли обходной путь?


214
2018-04-26 14:26


Источник




Ответы:


По словам менеджера команды Ubuntu Engineering Foundations Стив Лангасека:

Обновления между выпусками LTS не включаются по умолчанию, пока не будет выпущен первый выпуск, 14.04.1, запланированный на июль. Рекомендуется, чтобы большинство пользователей LTS подождали до этого времени до обновления до 14.04.

Если вы решите обновить до этого, вы можете передать -d вариант инструмента обновления, запуск do-release-upgrade -d или update-manager -d, для модернизации от ванили 12.04 до 14.04. (-d для разработки)

Этот вопрос объясняет обоснование ожидания приглашения.


225
2018-04-26 17:33



Почему же тогда обновление do-release-upgrade (без -d) все еще говорит «No new release found» через несколько дней после выхода .1 в iso-форме? (Мой / etc / update-manager / release-upgrade говорит «Prompt = lts») - tudor
Из проверки кода кажется, что «нормальные» релизы по умолчанию имеют URL-адрес changelogs.ubuntu.com/meta-release в котором перечислены 14.04, а в версиях LTS используется URL-адрес changelogs.ubuntu.com/meta-release-lts который не перечисляет его вообще. Я думаю, что они еще не обновили метаинформацию. - tudor
Это похоже на надзор над выпуском, вы можете подать ошибку и CC мне? email в моем профиле, спасибо! - Jorge Castro
@JorgeCastro Действительно ли это надзор над выпуском, и есть ли какая-нибудь идея, когда он будет исправлен? Была ли ошибка подана, и где я могу ее проследить? (Я искал, но не смог найти его. Я также хочу переключиться с 12.04 LTS на 14.04.1 LTS, и я просто хочу сделать это через Менеджер обновлений.) - Marnix Klooster
Выглядит как changelogs.ubuntu.com/meta-release-lts теперь фиксируется. - DLosc


Если у вас нет доступа к графическому интерфейсу и требуется обновление на терминале:

  1. Редактировать файл

    /etc/update-manager/release-upgrades
    

    для Prompt соответствовать либо normal или lts, (См. Список ниже того, что подходит вашему делу, помните, что вы можете только обновить LTS до другой версии LTS):

    [DEFAULT]
    Prompt=normal
    
  2. Проверьте правильную версию, запустите

    do-release-upgrade -c
    
  3. Обновление в случае, если показана правильная версия:

    sudo do-release-upgrade -d
    

Таким образом я мог бы обновить 12.04 до 12.10.

Доступный Prompt варианты:

  • Никогда - Никогда не проверяйте новый выпуск.
  • normal - проверьте, доступна ли новая версия. Если будет найдено несколько новых выпусков, обновитель обновления попытается обновить   к выпуску, который сразу же удастся выполнить в настоящее время   выпуск.
  • lts - Проверьте, доступна ли новая версия LTS. Обновитель попытается перейти на первый выпуск LTS, доступный после   в настоящее время работает. Обратите внимание, что этот параметр не должен использоваться, если   в настоящее время релиз сам по себе не является выпуском LTS, поскольку в этом   если обновитель не сможет определить, будет ли новый выпуск   доступный.

66
2018-05-05 16:50



У меня была аналогичная проблема. Я просто изменился с Prompt = normal на Prompt = lts, ​​и он работал отлично для меня. - Florin Coada
Я нашел противоположную проблему, что описывает Флорин. 4-21-18 Ubuntu 14.04 LTS говорил, что «новый релиз не найден», пока я не изменил с «Prompt = lts» на «Prompt = normal». Он выбрал 16.04 LTS для обновления, что я и хотел. Понятия не имею почему. - Chris Dragon


sudo do-release-upgrade -d 

Обратите внимание на -d в конце; из man страница:

  -d, --devel-release
      If using the latest supported release, upgrade to the development release

Это работает даже с Prompt=lts в /etc/update-manager/release-upgrades,


19
2018-04-26 17:55



так же, как было описано в вопросе ... - antivirtel


2 варианта:

  1. Запишите iso и поместите его в свой диск, он автоматически обнаружит обновление

  2. Перейдите в опции synaptics, затем Preference> distribution> Всегда предпочитайте самую высокую версию.

Задача решена ?


3
2018-04-28 02:15



Попробуем это, спасибо. :) Я чувствую себя глупо, что не понимаю этого. - CullenDM
Выпуски 10.04 не будут обновляться сразу, см. Ссылку, опубликованную выше. - Jorge Castro